Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 1558543002: Add a --harmony-species flag, defining @@species on constructors (Closed)

Created:
3 years, 9 months ago by Dan Ehrenberg
Modified:
3 years, 9 months ago
Reviewers:
adamk, Camillo Bruni
CC:
Michael Hablich, Hannes Payer (out of office), ulan, v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

Add a --harmony-species flag, defining @@species on constructors This patch adds the basis for subclassing TypedArrays, Arrays and ArrayBuffers through the @@species hook, added in ES2015. This is the first patch in a series. This patch simply defines the @@species Symbol and installs it on the appropriate constructors. The behavior is guarded behind the --harmony-species flag. R=cbruni BUG=v8:4093 LOG=Y CQ_INCLUDE_TRYBOTS=tryserver.chromium.linux:linux_chromium_rel_ng;tryserver.blink:linux_blink_rel TBR=hpayer@chromium.org Committed: https://crrev.com/fb5cbc2e2d22d3ae92bc73f45f7814c927ced621 Cr-Commit-Position: refs/heads/master@{#33095}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+128 lines, -16 lines) Patch
M BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M src/bootstrapper.cc View 3 chunks +10 lines, -0 lines 0 comments Download
M src/flag-definitions.h View 1 chunk +9 lines, -8 lines 0 comments Download
M src/heap/heap.h View 1 chunk +9 lines, -8 lines 0 comments Download
A src/js/harmony-species.js View 1 chunk +60 lines, -0 lines 0 comments Download
M src/js/prologue.js View 1 chunk +1 line, -0 lines 0 comments Download
A test/mjsunit/harmony/species.js View 1 chunk +37 lines, -0 lines 0 comments Download
M tools/gyp/v8.gyp View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 29 (13 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1558543002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1558543002/1
3 years, 9 months ago (2015-12-29 23:53:43 UTC) #2
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_mac_rel on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_mac_rel/builds/13627)
3 years, 9 months ago (2015-12-30 00:06:33 UTC) #4
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1558543002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1558543002/1
3 years, 9 months ago (2015-12-30 22:15:56 UTC) #6
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 9 months ago (2015-12-30 22:38:21 UTC) #8
Dan Ehrenberg
3 years, 9 months ago (2015-12-30 22:44:00 UTC) #9
Dan Ehrenberg
This is part of a broader series of patches for @@species. I'm breaking it up ...
3 years, 9 months ago (2015-12-30 22:49:31 UTC) #10
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1558543002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1558543002/1
3 years, 9 months ago (2015-12-30 22:50:46 UTC) #13
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 9 months ago (2015-12-30 23:45:52 UTC) #15
Camillo Bruni
lgtm
3 years, 9 months ago (2016-01-04 09:53:42 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1558543002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1558543002/1
3 years, 9 months ago (2016-01-04 18:29:05 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: v8_presubmit on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_presubmit/builds/9400)
3 years, 9 months ago (2016-01-04 18:35:48 UTC) #20
Dan Ehrenberg
3 years, 9 months ago (2016-01-04 19:27:31 UTC) #22
adamk
I believe you're looking for a heap OWNER (which I am not). bmeurer's been using ...
3 years, 9 months ago (2016-01-04 19:33:11 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1558543002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1558543002/1
3 years, 9 months ago (2016-01-04 19:38:20 UTC) #26
commit-bot: I haz the power
Committed patchset #1 (id:1)
3 years, 9 months ago (2016-01-04 19:39:57 UTC) #27
commit-bot: I haz the power
3 years, 9 months ago (2016-01-04 19:40:06 UTC) #29
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/fb5cbc2e2d22d3ae92bc73f45f7814c927ced621
Cr-Commit-Position: refs/heads/master@{#33095}

Powered by Google App Engine
This is Rietveld 408576698